CPU 686
BITS 32

%define EOI 20h ; define EOI como valendo 0x20
global _isr_handler ; o handler tambm deve ser global, para ser instalado
global _sec_tick;
global _time_tick;

section .data ; .data  a zona de dados inicializados
_cnt dd 1000;
_time_tick dd 0;
_sec_tick dd 0;

section .text ; .text  a zona de cdigo
_isr_handler: ; deve ser global para ser acedida em mdulos escritos em C
	push  eax;; todos os registos utilizados na rotina
	inc dword[_time_tick] ; instrues da rotina
	dec dword[_cnt];
	jnz fim;
	
	mov dword[_cnt], 1000;
	inc dword[_sec_tick];
	
fim:	
	mov al, EOI ; sinaliza EOI para o PIC-1
	out 0x20, al
	pop eax ; todos os registos guardados
	iretd

END ; fim de cdigo fonte assembly
